<style type="text/css">
	#open-orders-grid table { width: 385px !important }
	/*.balance { background-color: #D7FFB0; border-bottom: 1px solid #CCCCCC; font-size: 16px; padding: 5px 30px }*/
	.subtotal { float: right; font-size: 20px; font-weight: bold; margin-top: 8px }
	.minimum-amount { float: right; font-size: 20px; font-weight: bold; margin-top: 8px }
	/*.subtotal span { text-decoration: underline }*/
	.inline-error { margin-top: 10px !important }
	.inline-error strong { margin: 0 !important }
	.photos { background: none repeat scroll 0 0 #999999; list-style: none outside none; overflow: hidden; padding: 10px 10px 0 0;}
	.photos li {float: left;margin: 0 0 10px 10px;}
	.photo {background: none repeat scroll 0 0 #FFFFFF; border: 1px solid #777777; border-collapse: collapse;  padding: 0; width: 90px;}
	.photo .wrapper {height: 120px; padding: 0; position: relative; width: 90px;}
	.photo div.chk {background: none repeat scroll 0 0 #FF0000; border: 1px solid #FF0000; bottom: 8px;padding: 3px;position: absolute;right: 8px;z-index: 2;}
	.w25{width: 25px;}
	.w44{width:440px}
</style>

<? $picker_id = md5(microtime()) ?>
<? $user = Zend_Auth::getInstance()->getIdentity();?>

<script type="text/javascript">
	window.TransferPopup.addEvent('loaded', function () {
		var self = this;
		<?= 'init_' . $picker_id . '();' ?>
		$('<?= $picker_id ?>').getElement('.search-fields a').addEvent('click', function () {
			var userId = self.content.getElement('input[name=user_id]').get('value');
			
		});

		

		new Picker.Date(this.content.getElement('input[name=date_transfered]'), { 
			pickerClass: 'datepicker',
			positionOffset: { x: -10, y: 0 }, 
			allowEmpty: true, 
			format: 'd M Y H:i', 
			timePicker: true }
		);
	

		var initTransferTypes = function () {
			var choose = function (choice) {
				var map = {
					all: [ 'first_name', 'last_name', /*'country_id',*/ 'city', 'var_symbol', 'transaction_id', 'pull_person_id', 'mtcn', 'comment', 'webmoney_account', 'website_id' ],
					0: [  ],
					1: [ 'first_name', 'last_name', /*'country_id',*/ 'var_symbol', 'comment' ],
					2: [ 'first_name', 'last_name', /*'country_id',*/ 'city', /*'pull_person_id',*/ 'mtcn', 'comment' ],
					3: [ 'first_name', 'last_name', 'transaction_id', 'comment', 'website_id'],
					4: [ 'first_name', 'last_name', 'comment' ],
					5: [ 'first_name', 'last_name', 'transaction_id', 'comment', 'webmoney_account' ],
					6: [ 'first_name', 'last_name' ],
					7: [ 'first_name', 'last_name', /*'country_id',*/ 'city', 'mtcn', 'comment'],
					8: [ 'first_name', 'last_name'],
					9: [ 'first_name', 'last_name','transaction_id']
				};

				map.all.each(function (name) {
					var el = this.content.getElements('*[name=' + name + ']');
					el.set('disabled', 'disabled');
					el.getParent('.inner').addClass('disabled');
				}.bind(this));

				if ( $chk(map[choice]) ) {
					map[choice].each(function (name) {
						var el = this.content.getElement('*[name=' + name + ']');

						if ( choice == 5 ) {
							if ( name == 'first_name' || name == 'last_name' ) {
								el.getPrevious('label').getElement('span.required').destroy();
							}
							else if ( name == 'transaction_id' ) {
								new Element('span', {
									'class': 'required',
									html: ' *'
								}).inject(el.getPrevious('label'));
							}
						}



						el.set('disabled', null);
						el.getParent('.inner').removeClass('disabled');
					}.bind(this));

					if ( choice == 7 ) {
						var el = this.content.getElement('#wu_pull_person_id');
						el.set('disabled', null);
						el.getParent('.inner').removeClass('disabled');
					}
				}
				else {
					return;
				}
			}.bind(this);

			var select = this.content.getElement('select[name=transfer_type_id]');
			select.addEvent('change', function () { 
				choose(this.getSelected()[0].get('value'));
			});

			choose(0);
		}.bind(this);
	
		initTransferTypes();
		this.removeEvents('loaded');
	});
</script>

<form class="form-common" action="/billing/credit-transfers/create" method="post">
	<div style="margin: 0 !important; margin-bottom: 10px !important" name="global_error"></div>

	<div class="mt10 fleft">
		<? $params = array('field_name' => 'user_id', 'id' => $picker_id);
		/*if ( $this->order ) {
			$params['read_only'] = true;
			$params['adv_id'] = $this->order->ads_id;
		}*/ ?>

		<?= $this->userPicker($params) ?>
	</div>

	<fieldset class="m0 fleft">
		<legend>Transfer</legend>

		<div class="inner">
			<label for="credits">Credits <span class="required">*</span></label>
			<select id="credits" name="credits" class="w14">
								
				<? foreach ( Model_Billing_CreditTransfers::$CREDIT_OPTIONS as $credits => $amount ): ?>
					<option value="<?= $credits ?>"><?= str_replace('cr_', '', $credits). ' Credits' ?>  <?= $amount . ' CAD' ?></option>
				<? endforeach ?>
				
			</select>
		</div>

		<?
			$bu_user = Zend_Auth::getInstance()->getIdentity();
			$transfer_types = array(
				array('id' => 4 , 'name' => 'Cash')
			);
			
			$transfer_types_clerk = array(
				array('id' => 9 , 'name' => 'Vorauskasse')
			);
		?>
		
		<div class="inner">
			<label for="transfer_type_id">Type <span class="required">*</span></label>
			<select id="transfer_type_id" name="transfer_type_id" class="w12">
				<option value="0"> - - - </option>
				
				<? foreach ( $this->model->getTransferTypes() as $type ): ?>
					<option value="<?= $type->id ?>"><?= $type->name ?></option>
				<? endforeach ?>
				
			</select>
		</div>
		
		
		<div class="inner">
			<label for="date_transfered">Date <span class="required">*</span></label>
			<input type="text" id="date_transfered" name="date_transfered" class="txt w11" value="<?= time() ?>" />
		</div>
		
		<div class="clear"></div>
	</fieldset>
	<div class="clear"></div>

	<fieldset class="mt20 fleft">
		<legend>Transfer Details</legend>

		<div class="inner">
			<label for="first_name">First Name <span class="required">*</span></label>
			<input type="text" id="first_name" name="first_name" class="txt w16" value="" />
		</div>

		<div class="inner">
			<label for="last_name">Last Name <span class="required">*</span></label>
			<input type="text" id="last_name" name="last_name" class="txt w16" value="" />
		</div>

		

		<div class="inner">
			<label for="city">City</label>
			<input type="text" id="city" name="city" class="txt w16" />
		</div>

		

		<div class="inner">
			<label for="var_symbol">Var. Symbol</label>
			<input type="text" id="var_symbol" name="var_symbol" class="txt w12" value="" />
		</div>

		<div class="clear"></div>
		
		<div class="inner">
			<label for="transaction_id">Transaction ID</label>
			<input type="text" id="transaction_id" name="transaction_id" class="txt w20" value="" />
		</div>
		

		<?/*<div class="inner">
			<label for="pull_person_id">Pull Person</label>
			<select name="pull_person_id" class="w14">
				<option value=""> - - - </option>
				<? $model = new Model_Billing_PullPersons(); foreach ( $model->getByType(Model_Billing_PullPersons::PULL_PERSON_TYPE_MONEY_GRAM,true) as $person ): ?>
				<option value="<?= $person->id ?>"><?= $person->name ?></option>
				<? endforeach ?>
			</select>
		</div>*/ ?>

		<div class="inner">
			<label for="mtcn">MTCN</label>
			<input type="text" id="mtcn" name="mtcn" class="txt w18" value="" />
		</div>
		

		
		
		<div class="inner">
			<label for="webmoney_account">Webmoney Account <span class="required">*</span></label>
			<select name="webmoney_account" class="w14">
				<option value=""> - - - </option>
				<? $model = new Model_Billing_Transfers(); foreach ( $model->getWebmoneyAccounts() as $account ): ?>
				<option value="<?= $account->id ?>"><?= $account->account_type ?></option>
				<? endforeach ?>
			</select>
		</div>

		<div class="inner">
			<label for="website">Website</label>
			<select id="website" name="website_id" class="w16">
				<option value="">- - -</option>
				<option value="<?= Model_Billing_Transfers::WEBSITE_CARDGATE ?>">Adsgate123</option>
				<option value="<?= Model_Billing_Transfers::WEBSITE_ADSGATE ?>">Adsgate456</option>
			</select>
		</div>
		
		<div class="clear"></div>
		
		<div class="inner">
			<label for="comment">Comment</label>
			<textarea rows="1" id="comment" name="comment" class="txt w670"></textarea>
		</div>
	</fieldset>

	<div class="clear"></div>
</form>

